GTGMemory.h File Reference

This file defines a fast allocator for fixed-size blocks. More...

`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures

struct | gtg_memory

## Typedefs

typedef struct gtg_memory * | gtg_memory_t

## Functions

void | gtg_block_memory_init (gtg_memory_t *memory, size_t block_size, long initial_block_number)
void * | gtg_block_malloc (gtg_memory_t memory)
void | gtg_block_free (gtg_memory_t memory, void *ptr)

## Detailed Description

This file defines a fast allocator for fixed-size blocks.

Version
  0.1

## Typedef Documentation

## gtg_memory_t

typedef struct gtg_memory* gtg_memory_t

## Function Documentation

## gtg_block_free()

void gtg_block_free | ( | gtg_memory_t | memory,
|  | void * | ptr
| ) |  |

## gtg_block_malloc()

void * gtg_block_malloc | ( | gtg_memory_t | memory | ) |

## gtg_block_memory_init()

void gtg_block_memory_init | ( | gtg_memory_t * | memory,
|  | size_t | block_size,
|  | long | initial_block_number
| ) |  |